Nowe posty

xx Jak poprawić polecenie wyszukujące największe pliki? (3)
2021-06-13, 20:00:52
xx CUPS - Wyłączenie hostname w nazwie udostępnionej drukarki (6)
2021-06-12, 02:45:06
xx Tłumaczenie prostych programów napisanych w csh na sh (0)
2021-06-11, 16:07:52
xx Do regulaminu (0)
2021-06-07, 02:16:34
xx kompletny restore systemu (5)
2021-06-03, 11:47:08
xx Połączenie wifi, nie skanuje w poszukiwaniu sieci. (1)
2021-06-02, 22:04:54
xx problemy z instalacją (1)
2021-06-02, 14:23:26
xx Pomoc w napisaniu skryptu (11)
2021-05-31, 13:34:19
xx Instalacja php5.4 na Debian10 (2)
2021-05-31, 09:13:54
xx Wielkie firmy wymuszają dane (7)
2021-05-30, 20:25:21

Autor Wątek: [solved] Problematyczna aktualizacja firefox'a na opensuse tumbleweed  (Przeczytany 503 razy)

Offline Robert

  • Administrator
  • Guru
  • *****
  • Wiadomości: 2516
    • Zobacz profil
Problem polega na tym, ze instalator kopiuje na dysk błedny/uszkodzony plik libxul.so do katalogu
/usr/lib/firefox/

Wskutek tego firefox sie nie uruchamia, a próba odpalenia w konsoli wypluwa taki komunikat:

Cytuj
XPCOMGlueLoad error for file /usr/lib/firefox/libxul.so:
/usr/lib/firefox/libxul.so: undefined symbol: FT_Palette_Select
Couldn't load XPCOM.

najprostsze rozwiązanie tego problemu, to pobranie najnowszego firefoksa od producenta, i nadpisanie błednego pliku przez ten z paczki.

Można to zrobić np tak:
su
rm /usr/lib/firefox/libxul.so
cp /ścieżkadokataloguzropakowanymfirefoxem/libxul.so /usr/lib/firefox/



Zanim popełnisz grafomaństwo: 1 | 2 | 3
Baza RPM Jak szukać informacji